| OpenCV 3.4.3 Open Source Computer Vision

Public Types | Public Member Functions | List of all members
cv::StereoMatcher Class Referenceabstract
Camera Calibration and 3D Reconstruction

The base class for stereo correspondence algorithms. More...

`#include "calib3d.hpp"`

Inheritance diagram for cv::StereoMatcher:

## Public Types
enum | { DISP_SHIFT = 4, DISP_SCALE = (1 << DISP_SHIFT) }

## Public Member Functions
virtual void | compute (InputArray left, InputArray right, OutputArray disparity)=0
| Computes disparity map for the specified stereo pair. More...
virtual int | getBlockSize () const =0
virtual int | getDisp12MaxDiff () const =0
virtual int | getMinDisparity () const =0
virtual int | getNumDisparities () const =0
virtual int | getSpeckleRange () const =0
virtual int | getSpeckleWindowSize () const =0
virtual void | setBlockSize (int blockSize)=0
virtual void | setDisp12MaxDiff (int disp12MaxDiff)=0
virtual void | setMinDisparity (int minDisparity)=0
virtual void | setNumDisparities (int numDisparities)=0
virtual void | setSpeckleRange (int speckleRange)=0
virtual void | setSpeckleWindowSize (int speckleWindowSize)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

The base class for stereo correspondence algorithms.

## Member Enumeration Documentation

## § anonymous enum

anonymous enum

Enumerator
DISP_SHIFT |
DISP_SCALE |

## Member Function Documentation

## § compute()

virtual void cv::StereoMatcher::compute | ( | InputArray | left,
|  | InputArray | right,
|  | OutputArray | disparity
| ) |  |
| pure virtual

Python:
| disparity | = | cv.StereoMatcher.compute( | left, right[, disparity] | )

Computes disparity map for the specified stereo pair.

Parameters

  left | Left 8-bit single-channel image.
  right | Right image of the same size and the same type as the left one.
  disparity | Output disparity map. It has the same size as the input images. Some algorithms, like StereoBM or StereoSGBM compute 16-bit fixed-point disparity map (where each disparity value has 4 fractional bits), whereas other algorithms output 32-bit floating-point disparity map.

## § getBlockSize()

virtual int cv::StereoMatcher::getBlockSize | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.StereoMatcher.getBlockSize( |  | )

## § getDisp12MaxDiff()

virtual int cv::StereoMatcher::getDisp12MaxDiff | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.StereoMatcher.getDisp12MaxDiff( |  | )

## § getMinDisparity()

virtual int cv::StereoMatcher::getMinDisparity | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.StereoMatcher.getMinDisparity( |  | )

## § getNumDisparities()

virtual int cv::StereoMatcher::getNumDisparities | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.StereoMatcher.getNumDisparities( |  | )

## § getSpeckleRange()

virtual int cv::StereoMatcher::getSpeckleRange | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.StereoMatcher.getSpeckleRange( |  | )

## § getSpeckleWindowSize()

virtual int cv::StereoMatcher::getSpeckleWindowSize | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.StereoMatcher.getSpeckleWindowSize( |  | )

## § setBlockSize()

virtual void cv::StereoMatcher::setBlockSize | ( | int | blockSize | ) |
| pure virtual

Python:
| None | = | cv.StereoMatcher.setBlockSize( | blockSize | )

## § setDisp12MaxDiff()

virtual void cv::StereoMatcher::setDisp12MaxDiff | ( | int | disp12MaxDiff | ) |
| pure virtual

Python:
| None | = | cv.StereoMatcher.setDisp12MaxDiff( | disp12MaxDiff | )

## § setMinDisparity()

virtual void cv::StereoMatcher::setMinDisparity | ( | int | minDisparity | ) |
| pure virtual

Python:
| None | = | cv.StereoMatcher.setMinDisparity( | minDisparity | )

## § setNumDisparities()

virtual void cv::StereoMatcher::setNumDisparities | ( | int | numDisparities | ) |
| pure virtual

Python:
| None | = | cv.StereoMatcher.setNumDisparities( | numDisparities | )

## § setSpeckleRange()

virtual void cv::StereoMatcher::setSpeckleRange | ( | int | speckleRange | ) |
| pure virtual

Python:
| None | = | cv.StereoMatcher.setSpeckleRange( | speckleRange | )

## § setSpeckleWindowSize()

virtual void cv::StereoMatcher::setSpeckleWindowSize | ( | int | speckleWindowSize | ) |
| pure virtual

Python:
| None | = | cv.StereoMatcher.setSpeckleWindowSize( | speckleWindowSize | )

The documentation for this class was generated from the following file:

- calib3d/include/opencv2/calib3d.hpp